%define _name avidemux
%define pre test2

Name: %{_name}2
Version: 2.0.34
Release: alt0.5%pre.1

Summary: Avidemux is a graphical AVI files editor
Summary(ru_RU.KOI8-R): Avidemux --   AVI-   
License: GPL
Group: Video
Url: http://fixounet.free.fr/avidemux

%ifdef pre
Source: %url/%_name-%version-%pre.tgz
%else
Source: %url/%_name-%version.tar.gz
%endif
Source1: %name.png

Patch: %_name-2.0.34-test2-alt-gettext.patch

%define xvid_ver 1.0.2
%define mjpegtools_ver 1.6.1.90

Requires: xvid >= %xvid_ver
BuildPreReq: xvid-devel >= %xvid_ver
BuildPreReq: mjpegtools-devel >= %mjpegtools_ver

# Automatically added by buildreq on Thu Dec 16 2004
#BuildRequires: esound fontconfig freetype2-devel gcc-c++ glib2-devel libSDL-devel liba52-devel libalsa-devel libarts-devel libatk-devel libfaac-devel libfaad-devel libgtk+2-devel liblame-devel libmad-devel libogg-devel libpango-devel libstdc++-devel libvorbis-devel libxml2-devel pkgconfig xorg-x11-devel xorg-x11-libs xvid-devel zlib-devel
BuildRequires: XFree86-devel XFree86-libs esound fontconfig freetype2-devel gcc-c++ glib2-devel libSDL-devel liba52-devel libalsa-devel libarts-devel libatk-devel libfaac-devel libfaad-devel libgtk+2-devel liblame-devel libmad-devel libogg-devel libpango-devel libstdc++-devel libvorbis-devel libxml2-devel pkgconfig xvid-devel zlib-devel

%description
Avidemux is a graphical tool to edit AVI. It allows to multiplex and
demultiplex audio to/from video.
It is able to cut video, import BMP, MJPEG and MPEG video, and encode
them. It can also process video with included filters.

This package contains currently unstable GTK2 port of Avidemux.

%description -l ru_RU.KOI8-R
Avidemux --   AVI-   . 
       
    ,      
.

%prep
%ifdef pre
%setup -q -n %_name-%version-%pre
%else
%setup -q -n %_name-%version
%endif
%patch -p1
%__subst 's,OPTFLAGS=-O3,,' adm_lavcodec/config.mak

# hack
%ifarch i386 i486 i586 %amd
echo "TARGET_MMX=no" > adm_lavcodec/config.cpu
%endif

%build
%__rm -f po/Makefile*
%__rm -f missing
gettextize --force -q
%__libtoolize --copy --force
%__aclocal -I m4
%__autoheader
%__automake -a -c -f
%__autoconf

%configure \
%ifarch i386 i486 i586 %amd
	--disable-mmx
%endif

%make_build

%install
%makeinstall

# menu and icons
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/Video" \
title="Avidemux 2" longtitle="A graphical tool to edit AVI files (GTK 2 port)" \
command="%_bindir/%name" icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE1 %buildroot%_datadir/pixmaps/%name.png

%find_lang %_name

%post
%update_menus

%postun
%clean_menus

%files -f %_name.lang
%_bindir/*
%_datadir/pixmaps/*
%_menudir/*

%changelog
* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.34-alt0.5test2.1
- Rebuilt with libstdc++.so.6.

* Thu Dec 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.34-alt0.5test2
- 2.0.34-test2

* Sun Jun 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.24-alt1
- 2.0.24
- avidemux2.png as icon (thanks lav@) and fixed menu file (close #4448).

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.20-alt0.6
- rebuild with xvid-1.0.0rc1.

* Sun Dec 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.20-alt0.5
- 2.0.20

* Mon Nov 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.18-alt0.5
- 2.0.18

* Sat Sep 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.16-alt0.5
- 2.0.16

* Tue Aug 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.14-alt0.5
- 2.0.14

* Mon Jul 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.10-alt0.5
- 2.0.10

* Thu Jun 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt0.5
- First build for Sisyphus.

